Skip to main content
PATCH
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
localization
Upsert Localization Text
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/localization \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "localeCode": "en",
  "homeTitle": "<string>",
  "homeDescription": "<string>",
  "addDetails": "<string>",
  "startConversation": "<string>",
  "starting": "<string>",
  "messagesTitle": "<string>",
  "messagesDescription": "<string>",
  "noMessages": "<string>",
  "verifyEmailMessage": "<string>",
  "conversationHistoryInfo": "<string>",
  "botLabel": "<string>",
  "youLabel": "<string>",
  "agentLabel": "<string>",
  "escalateConfirmation": "<string>",
  "escalateDescription": "<string>",
  "yesContinue": "<string>",
  "cancel": "<string>",
  "switchedToHuman": "<string>",
  "startNewConversation": "<string>",
  "maxMessagesTitle": "<string>",
  "maxMessagesDescription": "<string>",
  "connected": "<string>",
  "disconnected": "<string>",
  "connecting": "<string>",
  "disconnecting": "<string>",
  "reconnect": "<string>",
  "accountTitle": "<string>",
  "verifyEmailTitle": "<string>",
  "verifyEmailDescription": "<string>",
  "emailLabel": "<string>",
  "nameLabel": "<string>",
  "phoneLabel": "<string>",
  "submitButton": "<string>",
  "sendingOtp": "<string>",
  "verifyOtp": "<string>",
  "otpSentMessage": "<string>",
  "otpLabel": "<string>",
  "verifyContinue": "<string>",
  "resendOtp": "<string>",
  "editDetails": "<string>",
  "resetting": "<string>",
  "verifying": "<string>",
  "logout": "<string>",
  "loggingOut": "<string>",
  "verified": "<string>",
  "edit": "<string>",
  "update": "<string>",
  "updating": "<string>",
  "leadFormTitle": "<string>",
  "leadFormDescription": "<string>",
  "formHeading": "<string>",
  "formSubmittedMessage": "<string>",
  "continueButton": "<string>",
  "submittingText": "<string>",
  "inputDisabledPlaceholder": "<string>",
  "closeChatLabel": "<string>",
  "openChatLabel": "<string>",
  "chatBubbleAlt": "<string>",
  "closeTooltipLabel": "<string>",
  "connectionLostReconnecting": "<string>",
  "conversationExportTitle": "<string>",
  "dateLabel": "<string>",
  "threadIdLabel": "<string>",
  "notAvailable": "<string>",
  "backLabel": "<string>",
  "openExternalLinkLabel": "<string>",
  "moreOptionsLabel": "<string>",
  "refreshChat": "<string>",
  "downloadMenuLabel": "<string>",
  "messagesMenuLabel": "<string>",
  "accountMenuLabel": "<string>",
  "collapseChatLabel": "<string>",
  "expandChatLabel": "<string>",
  "closeChatWindowLabel": "<string>",
  "startNewConversationLabel": "<string>",
  "conversationEnded": "<string>",
  "sendMessageLabel": "<string>",
  "bookingPageLoadError": "<string>",
  "bookingPageTitle": "<string>",
  "nameFieldPlaceholder": "<string>",
  "emailFieldPlaceholder": "<string>",
  "phoneFieldPlaceholder": "<string>",
  "fieldRequired": "<string>",
  "skipButton": "<string>",
  "escalatedToHumanAgent": "<string>",
  "returnedToAi": "<string>",
  "helpfulFeedbackLabel": "<string>",
  "notHelpfulFeedbackLabel": "<string>",
  "yourConversationsTitle": "<string>",
  "newConversationButton": "<string>",
  "justNow": "<string>",
  "minutesAgoFormat": "<string>",
  "hoursAgoFormat": "<string>",
  "threadEnded": "<string>",
  "createAccountTitle": "<string>",
  "enterEmailSubtitle": "<string>",
  "alreadyHaveAccount": "<string>",
  "loginLinkText": "<string>",
  "passwordMinLength": "<string>",
  "passwordsMismatch": "<string>",
  "otpSentToEmail": "<string>",
  "passwordPlaceholder": "<string>",
  "confirmPasswordPlaceholder": "<string>",
  "creatingAccount": "<string>",
  "useAnotherEmail": "<string>",
  "welcomeBackTitle": "<string>",
  "loginWithEmailSubtitle": "<string>",
  "passwordFieldPlaceholder": "<string>",
  "loginButtonText": "<string>",
  "forgotPasswordLink": "<string>",
  "noAccountQuestion": "<string>",
  "signupLinkText": "<string>",
  "passwordResetSuccess": "<string>",
  "passwordResetTitle": "<string>",
  "backToLoginButton": "<string>",
  "forgotPasswordTitle": "<string>",
  "forgotPasswordInstructions": "<string>",
  "resetPasswordTitle": "<string>",
  "passwordResetCodeSent": "<string>",
  "newPasswordPlaceholder": "<string>",
  "confirmNewPasswordPlaceholder": "<string>",
  "resetPasswordButton": "<string>",
  "poweredByLabel": "<string>",
  "retryButton": "<string>"
}
'
{
  "success": true,
  "message": "Localization text updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "localeCode": "en",
    "homeTitle": "<string>",
    "homeDescription": "<string>",
    "addDetails": "<string>",
    "startConversation": "<string>",
    "starting": "<string>",
    "messagesTitle": "<string>",
    "messagesDescription": "<string>",
    "noMessages": "<string>",
    "verifyEmailMessage": "<string>",
    "conversationHistoryInfo": "<string>",
    "botLabel": "<string>",
    "youLabel": "<string>",
    "agentLabel": "<string>",
    "escalateConfirmation": "<string>",
    "escalateDescription": "<string>",
    "yesContinue": "<string>",
    "cancel": "<string>",
    "switchedToHuman": "<string>",
    "startNewConversation": "<string>",
    "maxMessagesTitle": "<string>",
    "maxMessagesDescription": "<string>",
    "connected": "<string>",
    "disconnected": "<string>",
    "connecting": "<string>",
    "disconnecting": "<string>",
    "reconnect": "<string>",
    "accountTitle": "<string>",
    "verifyEmailTitle": "<string>",
    "verifyEmailDescription": "<string>",
    "emailLabel": "<string>",
    "nameLabel": "<string>",
    "phoneLabel": "<string>",
    "submitButton": "<string>",
    "sendingOtp": "<string>",
    "verifyOtp": "<string>",
    "otpSentMessage": "<string>",
    "otpLabel": "<string>",
    "verifyContinue": "<string>",
    "resendOtp": "<string>",
    "editDetails": "<string>",
    "resetting": "<string>",
    "verifying": "<string>",
    "logout": "<string>",
    "loggingOut": "<string>",
    "verified": "<string>",
    "edit": "<string>",
    "update": "<string>",
    "updating": "<string>",
    "leadFormTitle": "<string>",
    "leadFormDescription": "<string>",
    "formHeading": "<string>",
    "formSubmittedMessage": "<string>",
    "continueButton": "<string>",
    "submittingText": "<string>",
    "inputDisabledPlaceholder": "<string>",
    "closeChatLabel": "<string>",
    "openChatLabel": "<string>",
    "chatBubbleAlt": "<string>",
    "closeTooltipLabel": "<string>",
    "connectionLostReconnecting": "<string>",
    "conversationExportTitle": "<string>",
    "dateLabel": "<string>",
    "threadIdLabel": "<string>",
    "notAvailable": "<string>",
    "backLabel": "<string>",
    "openExternalLinkLabel": "<string>",
    "moreOptionsLabel": "<string>",
    "refreshChat": "<string>",
    "downloadMenuLabel": "<string>",
    "messagesMenuLabel": "<string>",
    "accountMenuLabel": "<string>",
    "collapseChatLabel": "<string>",
    "expandChatLabel": "<string>",
    "closeChatWindowLabel": "<string>",
    "startNewConversationLabel": "<string>",
    "conversationEnded": "<string>",
    "sendMessageLabel": "<string>",
    "bookingPageLoadError": "<string>",
    "bookingPageTitle": "<string>",
    "nameFieldPlaceholder": "<string>",
    "emailFieldPlaceholder": "<string>",
    "phoneFieldPlaceholder": "<string>",
    "fieldRequired": "<string>",
    "skipButton": "<string>",
    "escalatedToHumanAgent": "<string>",
    "returnedToAi": "<string>",
    "helpfulFeedbackLabel": "<string>",
    "notHelpfulFeedbackLabel": "<string>",
    "yourConversationsTitle": "<string>",
    "newConversationButton": "<string>",
    "justNow": "<string>",
    "minutesAgoFormat": "<string>",
    "hoursAgoFormat": "<string>",
    "threadEnded": "<string>",
    "createAccountTitle": "<string>",
    "enterEmailSubtitle": "<string>",
    "alreadyHaveAccount": "<string>",
    "loginLinkText": "<string>",
    "passwordMinLength": "<string>",
    "passwordsMismatch": "<string>",
    "otpSentToEmail": "<string>",
    "passwordPlaceholder": "<string>",
    "confirmPasswordPlaceholder": "<string>",
    "creatingAccount": "<string>",
    "useAnotherEmail": "<string>",
    "welcomeBackTitle": "<string>",
    "loginWithEmailSubtitle": "<string>",
    "passwordFieldPlaceholder": "<string>",
    "loginButtonText": "<string>",
    "forgotPasswordLink": "<string>",
    "noAccountQuestion": "<string>",
    "signupLinkText": "<string>",
    "passwordResetSuccess": "<string>",
    "passwordResetTitle": "<string>",
    "backToLoginButton": "<string>",
    "forgotPasswordTitle": "<string>",
    "forgotPasswordInstructions": "<string>",
    "resetPasswordTitle": "<string>",
    "passwordResetCodeSent": "<string>",
    "newPasswordPlaceholder": "<string>",
    "confirmNewPasswordPlaceholder": "<string>",
    "resetPasswordButton": "<string>",
    "poweredByLabel": "<string>",
    "retryButton": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json

All fields are optional except localeCode. Only provided fields are saved.

localeCode
string
required

BCP 47 locale code, e.g. "en", "fr", "de"

Example:

"en"

homeTitle
string
homeDescription
string
addDetails
string
startConversation
string
starting
string
messagesTitle
string
messagesDescription
string
noMessages
string
verifyEmailMessage
string
conversationHistoryInfo
string
botLabel
string
youLabel
string
agentLabel
string
escalateConfirmation
string
escalateDescription
string
yesContinue
string
cancel
string
switchedToHuman
string
startNewConversation
string
maxMessagesTitle
string
maxMessagesDescription
string
connected
string
disconnected
string
connecting
string
disconnecting
string
reconnect
string
accountTitle
string
verifyEmailTitle
string
verifyEmailDescription
string
emailLabel
string
nameLabel
string
phoneLabel
string
submitButton
string
sendingOtp
string
verifyOtp
string
otpSentMessage
string
otpLabel
string
verifyContinue
string
resendOtp
string
editDetails
string
resetting
string
verifying
string
logout
string
loggingOut
string
verified
string
edit
string
update
string
updating
string
leadFormTitle
string
leadFormDescription
string
formHeading
string
formSubmittedMessage
string
continueButton
string
submittingText
string
inputDisabledPlaceholder
string
closeChatLabel
string
openChatLabel
string
chatBubbleAlt
string
closeTooltipLabel
string
connectionLostReconnecting
string
conversationExportTitle
string
dateLabel
string
threadIdLabel
string
notAvailable
string
backLabel
string
moreOptionsLabel
string
refreshChat
string
downloadMenuLabel
string
messagesMenuLabel
string
accountMenuLabel
string
collapseChatLabel
string
expandChatLabel
string
closeChatWindowLabel
string
startNewConversationLabel
string
conversationEnded
string
sendMessageLabel
string
bookingPageLoadError
string
bookingPageTitle
string
nameFieldPlaceholder
string
emailFieldPlaceholder
string
phoneFieldPlaceholder
string
fieldRequired
string
skipButton
string
escalatedToHumanAgent
string
returnedToAi
string
helpfulFeedbackLabel
string
notHelpfulFeedbackLabel
string
yourConversationsTitle
string
newConversationButton
string
justNow
string
minutesAgoFormat
string
hoursAgoFormat
string
threadEnded
string
createAccountTitle
string
enterEmailSubtitle
string
alreadyHaveAccount
string
passwordMinLength
string
passwordsMismatch
string
otpSentToEmail
string
passwordPlaceholder
string
confirmPasswordPlaceholder
string
creatingAccount
string
useAnotherEmail
string
welcomeBackTitle
string
loginWithEmailSubtitle
string
passwordFieldPlaceholder
string
loginButtonText
string
noAccountQuestion
string
passwordResetSuccess
string
passwordResetTitle
string
backToLoginButton
string
forgotPasswordTitle
string
forgotPasswordInstructions
string
resetPasswordTitle
string
passwordResetCodeSent
string
newPasswordPlaceholder
string
confirmNewPasswordPlaceholder
string
resetPasswordButton
string
poweredByLabel
string
retryButton
string

Response

Created or updated

success
boolean
Example:

true

message
string
Example:

"Localization text updated successfully"

data
object

A full set of UI string overrides for a single locale. All string fields are nullable — omitted fields fall back to the widget's built-in defaults.